//
//  NSDictionary+CaseInsensitiveLookup.m
//  TApp2
//
//  Created by atmahajan on 4/24/17.
//  Copyright © 2017 Microfocus. All rights reserved.
//

#import "NSDictionary+CaseInsensitiveLookup.h"

@implementation NSDictionary (CaseInsensitiveLookup)

- (id)objectForCaseInsensitiveKey:(NSString *)key {
    NSArray *allKeys = [self allKeys];
    for (NSString *str in allKeys) {
        if ([key caseInsensitiveCompare:str] == NSOrderedSame) {
            return [self objectForKey:str];
        }
    }
    return nil;
}

@end
